## org.eclipse.emf.databinding
Class EObjectObservableMap

    java.lang.Object
      java.util.AbstractMap
          org.eclipse.core.databinding.observable.map.AbstractObservableMap
              org.eclipse.core.databinding.observable.map.ComputedObservableMap
                  org.eclipse.emf.databinding.EObjectObservableMap

All Implemented Interfaces:
  java.util.Map, IObservable, IObservableMap

Direct Known Subclasses:
  EditingDomainEObjectObservableMap

    public class EObjectObservableMap

extends ComputedObservableMap

PROVISIONAL This API is subject to arbitrary change, including renaming or removal.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`protected EStructuralFeature` `eStructuralFeature`

Constructor Summary
`EObjectObservableMap(IObservableSet objects, EStructuralFeature feature)`

Method Summary
`protected java.lang.Object` `doGet(java.lang.Object key)`
`protected java.lang.Object` `doPut(java.lang.Object key, java.lang.Object value)`
`protected void` `hookListener(java.lang.Object domainElement)`
`protected void` `unhookListener(java.lang.Object domainElement)`

Methods inherited from class org.eclipse.core.databinding.observable.map.ComputedObservableMap
`entrySet, fireSingleChange, get, init, keySet, put`

Methods inherited from class org.eclipse.core.databinding.observable.map.AbstractObservableMap
`addChangeListener, addMapChangeListener, addStaleListener, checkRealm, dispose, fireChange, fireMapChange, fireStale, firstListenerAdded, getRealm, isStale, lastListenerRemoved, removeChangeListener, removeMapChangeListener, removeStaleListener, setStale`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, equals, hashCode, isEmpty, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.databinding.observable.map.IObservableMap
`containsKey, containsValue, equals, hashCode, isEmpty, remove, size, values`

Methods inherited from interface java.util.Map
`clear, putAll`

Field Detail

### eStructuralFeature

    protected EStructuralFeature eStructuralFeature

Constructor Detail

### EObjectObservableMap

    public EObjectObservableMap(IObservableSet objects,
                                EStructuralFeature feature)

Method Detail

### hookListener

    protected void hookListener(java.lang.Object domainElement)

  Specified by:
    `hookListener` in class `ComputedObservableMap`

### unhookListener

    protected void unhookListener(java.lang.Object domainElement)

  Specified by:
    `unhookListener` in class `ComputedObservableMap`

### doGet

    protected java.lang.Object doGet(java.lang.Object key)

  Specified by:
    `doGet` in class `ComputedObservableMap`

### doPut

    protected java.lang.Object doPut(java.lang.Object key,
                                     java.lang.Object value)

  Specified by:
    `doPut` in class `ComputedObservableMap`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.